#!/usr/bin/perl
#--NetShopOwner-CGI-version:5.0.2.0--

;#
;# register1.cgi
;# [PC]o^
;# (C) 2012 ЃWXgVXe
;#
;# last modified YYYY/MM/DD
;#

use strict;
use uselib;
use defnsopath_shop;
use NsoVersionPC 1.00;
use Design::TemplRegister1;
use Lib::SiteStatus;

&ReadParse();
my %in    = %main::in;
my %incfn = %main::incfn;
my %inct  = %main::inct;

# CX^X`
my $objConfigSystem = Config::NsoSystem->newShop();
my $objConfigMaster = Config::NsoMaster->new();
my $NsoMisc       = NsoMisc->new();

# RtBO[ṼLbV
my %ConfigSystem = $objConfigSystem->cache_config();
my %ConfigMaster = $objConfigMaster->cache_config();

my $status_err;

FUNC:{
	my $func = $in{func} || 'main';
	my %function = (
		main       => \&main,
	);
	&check_member_function();
	&check_closing();
	if ($function{$func}){
		$function{$func}->();
	}else{
		&main();
	}
}
exit();

;#
;# JXEXԌ
;#
sub check_closing {
	my $SiteStatus = Lib::SiteStatus->new({ ConfigSystem=>\%ConfigSystem });
	$SiteStatus->CheckClosing();
}

;#
;# @\gpL
;#
sub check_member_function {
	# @\gpLtO
	my $adm_member_master_member_useflg = $ConfigMaster{adm_member_master}{member}{UseFlag};
	# @\gp̏ꍇAgbvy[Wփ_CNg
	if ($adm_member_master_member_useflg ne 1){
		# SSL󋵂ɉURLu
		my $RegisterURL = $NsoMisc->getChangedURL({url=>$ConfigSystem{base_href}{docroot}, key=>'StaticPage'});
		# gbvy[Wփ_CNg
		print $NsoMisc->redirect($RegisterURL);
	}
}

;#
;# C
;#
sub main {
	# G[bZ[W擾
	$status_err = &error_message( $in{ErrorStatus} );
	# VXeev[gNX̃CX^X
	my $TemplRegister1 = Design::TemplRegister1->new({ ConfigSystem=>\%ConfigSystem, ConfigMaster=>\%ConfigMaster, KickBack=>$in{KickBack}, status_err=>$status_err, Query=>\%in });
	
	# ev[gu̎s
	my $contents = $TemplRegister1->RelpaceSystemTempl();
	
	print $NsoMisc->print_header();
	print $contents;
	
	exit();
}

;#
;# G[bZ[W擾
;#
sub error_message {

	my %ErrorMessageHash = (
		database_msg101		=> qq(f[^x[XڑɃG[܂B(G[R[hF101)<br>萔łAVbv^c҂ւ₢킹B<br>),
		database_msg102		=> qq(f[^x[XڑɃG[܂B(G[R[hF102)<br>萔łAVbv^c҂ւ₢킹B<br>),
		database_msg103		=> qq(f[^x[XڑɃG[܂B(G[R[hF103)<br>萔łAVbv^c҂ւ₢킹B<br>),
		same_member_msg		=> qq(̃[AhX͂łɓo^Ă܂B<br>),
	);
	my $error_code = shift @_;
	return ( exists $ErrorMessageHash{$error_code} )? $ErrorMessageHash{$error_code}: qq();
}









